## cdrkit-current_tar.gz

=== CMakeLists.txt ===
PROJECT (cdrkit)
SUBDIRS(cdda2wav cdrecord libdeflt libedc libhfs_iso libparanoia librscg libscg libschily libunls mkisofs readcd rscsi 3rd-party/dirsplit include)

SET(BINS_SET cdrecord/wodim readcd/readcd)
FOREACH(app ${BINS_SET})
   install(PROGRAMS ${CMAKE_BINARY_DIR}/${app} DESTINATION bin)
ENDFOREACH(app ${BINS_SET})
FOREACH(app ${SCRIPTS_SET})
   install(PROGRAMS ${CMAKE_SOURCE_DIR}/${app} DESTINATION bin)
ENDFOREACH(app ${BINS_SET})

=== Makefile ===

ifneq ($(CFLAGS),)
EXTRA_CMAKE_FLAGS += -DCMAKE_C_FLAGS="$(CFLAGS)"
endif

all: build/Makefile
	$(MAKE) -C build $(MAKE_FLAGS) all

DISTNAME=cdrkit-$(shell cat VERSION)

build/Makefile:
	@-mkdir build 2>/dev/null
	cd build && cmake .. $(EXTRA_CMAKE_FLAGS)

cmakepurge:
	rm -rf install_manifest.txt progress.make CMakeFiles CMakeCache.txt cmake_install.cmake 
	rm -rf */install_manifest.txt */progress.make */CMakeFiles */CMakeCache.txt */cmake_install.cmake 
	rm -rf */*/install_manifest.txt */*/progress.make */*/CMakeFiles */*/CMakeCache.txt */*/cmake_install.cmake 
	rm */Makefile */*/Makefile

clean:
#	-cd build && make clean
#	rm -f include/xconfig.h include/align.h
	rm -rf build

%: build/Makefile
	$(MAKE) -C build $(MAKE_FLAGS) $@

ifneq ($(PREFIX),)
install: build/Makefile
	cd build && cmake .. -DCMAKE_INSTALL_PREFIX="$(PREFIX)" && $(MAKE) $(MAKE_FLAGS) install
endif

release:
#	if test "$(shell svn status | grep -v -i make)" ; then echo Uncommited files found. Run \"svn status\" to display them. ; exit 1 ; fi
	@if test -f ../$(DISTNAME).tgz ; then echo ../$(DISTNAME).tgz exists, not overwritting ; exit 1; fi
	mkdir tmp && svn export . tmp/$(DISTNAME) && cd tmp && rm -rf ./debian/ && tar -f - -c $(DISTNAME) | gzip -9 > ../../$(DISTNAME).tar.gz && cd .. && rm -rf tmp

=== cdda2wav/CMakeLists.txt ===
PROJECT (CDDA2WAV)
INCLUDE_DIRECTORIES(../include ../cdrecord . ${CMAKE_BINARY_DIR})

FIND_FILE (HAVE_SYS_SOUNDCARD_H sys/soundcard.h)
IF(HAVE_SYS_SOUNDCARD_H)
   	ADD_DEFINITIONS(-DHAVE_SYS_SOUNDCARD_H)
ENDIF(HAVE_SYS_SOUNDCARD_H)
FIND_FILE (HAVE_LINUX_SOUNDCARD_H linux/soundcard.h)
IF(HAVE_LINUX_SOUNDCARD_H)
   	ADD_DEFINITIONS(-DHAVE_LINUX_SOUNDCARD_H)
ENDIF(HAVE_LINUX_SOUNDCARD_H)

LINK_DIRECTORIES(../libschily ../libscg ../libdeflt ../libparanoia)
ADD_EXECUTABLE (cdda2wav aifc.c aiff.c base64.c cd_misc.c cdda2wav.c defaults.c getnum.c interface.c ioctl.c md5c.c modes.c raw.c resample.c ringbuff.c scsi_cdr.c scsi_cmds.c scsi_scan.c semshm.c setuid.c sha_func.c sndconfig.c sun.c toc.c wav.c)
TARGET_LINK_LIBRARIES(cdda2wav scg schily deflt paranoia)
SET_TARGET_PROPERTIES(cdda2wav PROPERTIES  SKIP_BUILD_RPATH TRUE)


INSTALL(TARGETS cdda2wav DESTINATION bin)
INSTALL(PROGRAMS pitchplay readmult cdda2mp3 cdda2ogg DESTINATION bin)
INSTALL(FILES cdda2ogg.1 cdda2wav.1 pitchplay.1 readmult.1 list_audio_tracks.1 DESTINATION share/man/man1)

=== cdrecord/CMakeLists.txt ===
PROJECT (CDRECORD)
INCLUDE_DIRECTORIES(../include . ${CMAKE_BINARY_DIR})

AUX_SOURCE_DIRECTORY(. CDRECORD_SRCS)

FIND_LIBRARY(CAPTEST cap)
if(CAPTEST) 
   set(CAPLINK cap)
endif(CAPTEST)

LINK_DIRECTORIES(../libschily ../libscg ../libdeflt)
ADD_EXECUTABLE (wodim ${CDRECORD_SRCS})
TARGET_LINK_LIBRARIES(wodim scg schily deflt ${CAPLINK})
SET_TARGET_PROPERTIES(wodim PROPERTIES  SKIP_BUILD_RPATH TRUE)

INSTALL(TARGETS wodim DESTINATION bin)
INSTALL(FILES 
   wodim.1
DESTINATION share/man/man1)

=== include/CMakeLists.txt ===
PROJECT (INCLUDES)

# auto-generated header with sizeof magic
INCLUDE(CheckTypeSize)
CHECK_TYPE_SIZE(short SIZE_SHORT)
MATH(EXPR SHORTLESS ${SIZE_SHORT}-1)
CHECK_TYPE_SIZE(int SIZE_INT)
MATH(EXPR INTLESS ${SIZE_INT}-1)
CHECK_TYPE_SIZE(long SIZE_LONG)
MATH(EXPR LONGLESS ${SIZE_LONG}-1)
CHECK_TYPE_SIZE("long long" SIZE_LLONG)
MATH(EXPR LLONGLESS ${SIZE_LLONG}-1)
CHECK_TYPE_SIZE(float SIZE_FLOAT)
MATH(EXPR FLOATLESS ${SIZE_FLOAT}-1)
CHECK_TYPE_SIZE(double SIZE_DOUBLE)
MATH(EXPR DOUBLELESS ${SIZE_DOUBLE}-1)
CHECK_TYPE_SIZE("char*" SIZE_PTR)
MATH(EXPR PTRLESS ${SIZE_PTR}-1)
CONFIGURE_FILE( align.h.in align.h)
#SET_SOURCE_FILES_PROPERTIES(align.h PROPERTIES GENERATED 1)


TRY_COMPILE(VA_LIST_IS_ARRAY ${CMAKE_BINARY_DIR}  ${CMAKE_CURRENT_SOURCE_DIR}/test_VA_LIST_IS_ARRAY.c)
# invert the result, has the condition IFF compiler fails. There must be a simple way to say a=!b... but how?
IF(VA_LIST_IS_ARRAY) 
   SET(VA_LIST_IS_ARRAY FALSE)
else(VA_LIST_IS_ARRAY) 
   SET(VA_LIST_IS_ARRAY TRUE)
endif(VA_LIST_IS_ARRAY)

TRY_COMPILE(HAVE_MLOCKALL ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/test_HAVE_MLOCKALL.c)

CONFIGURE_FILE( xconfig.h.in xconfig.h)

# FIXME! Does not work as expected. Not important for out-of-source builds but
# is not nice either.
#
###SET_SOURCE_FILES_PROPERTIES(xconfig.h PROPERTIES GENERATED 1)
#LIST(APPEND tmps  xconfig.h  align.h)
#SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES tmps)

=== libdeflt/CMakeLists.txt ===
PROJECT (LIBdeflt)
INCLUDE_DIRECTORIES(../include ../libhfs_iso . ${CMAKE_BINARY_DIR} ../cdrecord)
ADD_DEFINITIONS(-DHAVE_CONFIG_H)

SET(LIBdeflt_SRCS default.c)

ADD_LIBRARY (deflt STATIC ${LIBdeflt_SRCS})

=== libhfs_iso/CMakeLists.txt ===
PROJECT (LIBhfs_iso)
INCLUDE_DIRECTORIES(../include ../libhfs_iso . ../cdrecord ${CMAKE_BINARY_DIR})
ADD_DEFINITIONS(-DUSE_LARGEFILES -DABORT_DEEP_ISO_ONLY -DAPPLE_HYB -DUDF -DDVD_VIDEO -DSORTING -DHAVE_CONFIG_H -DUSE_LIBSCHILY -DUSE_SCG)


SET(LIBhfs_iso_SRCS block.c btree.c data.c file.c gdata.c hfs.c low.c node.c record.c volume.c)

ADD_LIBRARY (hfs_iso STATIC ${LIBhfs_iso_SRCS})

=== libparanoia/CMakeLists.txt ===
PROJECT (LIBparanoia)
INCLUDE_DIRECTORIES(../include . ${CMAKE_BINARY_DIR} ../cdrecord)
ADD_DEFINITIONS(-DHAVE_CONFIG_H)
SET(LIBparanoia_SRCS gap.c isort.c overlap.c p_block.c paranoia.c pmalloc.c)

ADD_LIBRARY (paranoia STATIC ${LIBparanoia_SRCS})

=== libscg/CMakeLists.txt ===
PROJECT (LIBSCG)
INCLUDE_DIRECTORIES(../include .  ${CMAKE_BINARY_DIR}  ../cdrecord)

#SET(LIBSCG_SRCS rdummy.c scgsettarget.c scgtimes.c scsi-linux-ata.c scsi-linux-pg.c scsi-linux-sg.c scsierrs.c scsihack.c scsihelp.c scsiopen.c scsitransp.c)
SET(LIBSCG_SRCS rdummy.c scgsettarget.c scgtimes.c scsierrs.c scsihack.c scsihelp.c scsiopen.c scsitransp.c)
SET_SOURCE_FILES_PROPERTIES(${LIBSCG_SRCS} PROPERTIES )
LINK_DIRECTORIES(../libschily)
ADD_LIBRARY (scg STATIC ${LIBSCG_SRCS})
TARGET_LINK_LIBRARIES(scg schily)

=== libschily/CMakeLists.txt ===
PROJECT (LIBSCHILY)
INCLUDE_DIRECTORIES(../include ../libhfs_iso . ${CMAKE_BINARY_DIR} ../cdrecord)

SET(LIBSCHILY_SRCS  astoi.c astoll.c astoull.c breakline.c cmpbytes.c cmpnullbytes.c comerr.c cvt.c error.c fconv.c fexec.c fillbytes.c findbytes.c findline.c format.c getargs.c getav0.c getdomainname.c geterrno.c getfp.c gethostid.c gethostname.c getpagesize.c handlecond.c jsprintf.c jssnprintf.c jssprintf.c match.c matchl.c movebytes.c printf.c raisecond.c rename.c saveargs.c serrmsg.c seterrno.c setfp.c snprintf.c spawn.c sprintf.c strcatl.c strdup.c streql.c strtod.c swabbytes.c usleep.c stdio/cvmod.c stdio/dat.c stdio/fcons.c stdio/fcons64.c stdio/fdown.c stdio/fdup.c stdio/fdup64.c stdio/ffileread.c stdio/ffilewrite.c stdio/fgetline.c stdio/fgetstr.c stdio/file_raise.c stdio/fileclose.c stdio/fileluopen.c stdio/fileluopen64.c stdio/filemopen.c stdio/filemopen64.c stdio/fileopen.c stdio/fileopen64.c stdio/filepos.c stdio/filepos64.c stdio/fileread.c stdio/filereopen.c stdio/filereopen64.c stdio/fileseek.c stdio/fileseek64.c stdio/filesize.c stdio/filesize64.c stdio/filestat.c stdio/filestat64.c stdio/filewrite.c stdio/flag.c stdio/flush.c stdio/fpipe.c stdio/niread.c stdio/niwrite.c stdio/nixread.c stdio/nixwrite.c stdio/openfd.c stdio/openfd64.c stdio/peekc.c )

ADD_LIBRARY (schily STATIC ${CMAKE_CURRENT_SOURCE_DIR}/../include/xconfig.h  ${CMAKE_CURRENT_SOURCE_DIR}/../include/align.h ${LIBSCHILY_SRCS})

=== libunls/CMakeLists.txt ===
PROJECT (LIBunls)
INCLUDE_DIRECTORIES(../include ../libhfs_iso . ../cdrecord ${CMAKE_BINARY_DIR})
ADD_DEFINITIONS(-DHAVE_CONFIG_H)

FIND_FILE (USE_ICONV iconv.h)
IF(USE_ICONV)
	ADD_DEFINITIONS(-DUSE_ICONV)
ENDIF(USE_ICONV)

SET(LIBunls_SRCS nls_base.c nls_config.c nls_cp10000.c nls_cp10006.c nls_cp10007.c nls_cp10029.c nls_cp10079.c nls_cp10081.c nls_cp1250.c nls_cp1251.c nls_cp437.c nls_cp737.c nls_cp775.c nls_cp850.c nls_cp852.c nls_cp855.c nls_cp857.c nls_cp860.c nls_cp861.c nls_cp862.c nls_cp863.c nls_cp864.c nls_cp865.c nls_cp866.c nls_cp869.c nls_cp874.c nls_file.c nls_iso8859-1.c nls_iso8859-14.c nls_iso8859-15.c nls_iso8859-2.c nls_iso8859-3.c nls_iso8859-4.c nls_iso8859-5.c nls_iso8859-6.c nls_iso8859-7.c nls_iso8859-8.c nls_iso8859-9.c nls_koi8-r.c nls_koi8-u.c nls_iconv.c) 
#SET_SOURCE_FILES_PROPERTIES(${LIBunls_SRCS} PROPERTIES )
ADD_LIBRARY (unls STATIC ${LIBunls_SRCS})

=== mkisofs/CMakeLists.txt ===
PROJECT (MKISOFS)
INCLUDE_DIRECTORIES(../include ../libhfs_iso . ../cdrecord ${CMAKE_BINARY_DIR})

FIND_FILE (USE_MAGIC magic.h)
IF(USE_MAGIC)
	ADD_DEFINITIONS(-DUSE_MAGIC)
ENDIF(USE_MAGIC)

FIND_FILE (USE_ICONV iconv.h)
IF(USE_ICONV)
	ADD_DEFINITIONS(-DUSE_ICONV)
ENDIF(USE_ICONV)
# iconv may be provided by the 3rd party library
FIND_LIBRARY (USE_LIBICONV iconv)
IF(USE_LIBICONV)
	SET(EXTRA_LIBICONV iconv)
endif(USE_LIBICONV)
	

ADD_DEFINITIONS(-DUSE_LARGEFILES -DABORT_DEEP_ISO_ONLY -DAPPLE_HYB -DUDF -DDVD_VIDEO -DSORTING -DHAVE_CONFIG_H -DUSE_LIBSCHILY -DUSE_SCG -DJIGDO_TEMPLATE)

SET(MKISOFS_MOST_SRCS apple.c boot.c cd_misc.c defaults.c desktop.c dvd_file.c dvd_reader.c eltorito.c exclude.c files.c fnmatch.c getnum.c getopt.c getopt1.c hash.c ifo_read.c joliet.c mac_label.c match.c modes.c multi.c name.c rock.c scsi.c scsi_cdr.c stream.c tree.c udf.c vms.c volume.c write.c boot-alpha.c boot-hppa.c boot-mips.c md5.c jte.c rsync.c
	boot-mipsel.c endian.c  )

#SET_SOURCE_FILES_PROPERTIES(${MKISOFS_MOST_SRCS} PROPERTIES )
LINK_DIRECTORIES(../libhfs_iso ../libschily ../libscg ../libunls ../libdeflt)

ADD_EXECUTABLE (mkisofs mkisofs.c ${MKISOFS_MOST_SRCS})
TARGET_LINK_LIBRARIES(mkisofs schily hfs_iso deflt magic scg unls z ${EXTRA_LIBICONV})

# common lib set and mkisofs source parts for the rest
LINK_LIBRARIES(schily deflt scg unls ${EXTRA_LIBICONV})
SET(MI_COMMON diag/scsi.c diag/scsi_cdr.c diag/cd_misc.c diag/modes.c diag/defaults.c diag/getnum.c)
ADD_EXECUTABLE(devdump diag/dump.c  ${MI_COMMON})
ADD_EXECUTABLE(isodebug	diag/isodebug.c   ${MI_COMMON})
ADD_EXECUTABLE(isodump	diag/isodump.c    ${MI_COMMON})
ADD_EXECUTABLE(isoinfo diag/isoinfo.c	 ${MI_COMMON})
ADD_EXECUTABLE(isovfy	diag/isovfy.c	 ${MI_COMMON})


SET_TARGET_PROPERTIES(mkisofs devdump isodebug isodump isoinfo isovfy PROPERTIES  SKIP_BUILD_RPATH TRUE)

INSTALL(TARGETS mkisofs devdump isodebug isodump isoinfo isovfy DESTINATION bin)
INSTALL(FILES 
mkisofs.8
diag/devdump.8
diag/isodebug.8
diag/isodump.8
diag/isoinfo.8
diag/isovfy.8
DESTINATION share/man/man8)

=== debian/changelog ===
cdrkit (5:1.0~pre2-1) unstable; urgency=low

  * Restored the build system of zisofs-tools and changed to its use in
    debian/rules. It is a separate project with a mature build system while
    the replacement would need improvements to keep up.

 -- Eduard Bloch <blade@debian.org>  Mon,  4 Sep 2006 01:24:22 +0200

cdrkit (5:1.0~pre1-1) unstable; urgency=low

  [ Eduard Bloch ]
  * dropped the shm build (kernel 2.2 is history)
  * dropped dpatch integration, we are the upstream now
  * disabled debconf messages and device-creating code for now
    (closes: #326138, #314139); things like hints to create device files are
    essential for only few people and can equaly be presented as program
    messages. Why shall we still MAKEDEV them?  It's not like we have switched
    to kernel 2.0.1 yesterday (closes: #342085, #188827, #200665)
  * updated Build-Dependencies for kfreebsd (closes: #355291)
  * debian/copyright got uptodate mail address for Schilling (closes: #372484)

  [ Eduard Bloch, upstream related changes ] 
  * The Big Fork to an independent project called cdrkit
    + using the last clearly stated GPLed versions of files from
      cdrtools-2.01.01a08 (closes: #353403, #372486)
    + we play the upstream role now, using our patches and we like them
      (closes: #361450)
    + renamed relevant works to avoid claims of "potential defamation" or
      "damage of reputation" (closes: #350738)
    + custom CMake based build system used instead of the original one, since
      we understand it better (closes: #350739 and hopefully closes: #350254,
      reopen if not). It seems to be portable among the platforms
      supported by Debian, it needs a bit of work for porting to non-Linux
      plattforms, though.
  * removed most of the anti-linux2.6  program messages (unless being
    in verbose mode). (closes: #377145)
  * changed default config file location to /etc/default/wodim
  * added more meaningful error message on -dvd-video failure (closes: #324586)
  * minor cdda2mp3/cdda2ogg scripts fixes suggested by Fabian Pietsch, plus
    fixes for unreliable encoder detection (closes: #283794, #344443) plus
    possible override of preset CDDA_DEVICE variable fixed. Made the list of
    selected audiotracks modifiable, see manpage (closes: #344445)
  * sync with 4:2.01+01a01-4ubuntu4:
    + merged README.ATAPI.setup with README.ATAPI.setup.ubuntu. Kernel 2.6 part
      now in the beginning and reflecting the reality (dev=/dev/drive syntax,
      no SUID requirement, closes: #304230, #377736)
    + 02_cdrecord_default_conf.dpatch: changed /dev/cdrom to /dev/cdrw which
      is more likely to match the correct device on udev using systems
  * 36_ATA_scanbus_ignore_locked.dpatch to ignore busy devices (eg. hda
    harddisk) while scanning with dev=ATA 
    (closes: #310689, #309250, #317793, #360295, 
  * Included 37_clean_dvdsup.dpatch (closes: #312062) based on
    cdrtools-2.01.01a04-dvd.patch.bz2 from
    http://people.mandriva.com/~warly/files/cdrtools/ with few updates to work
    with a08. Also implements a fallback to ATA: bus in the -scanbus operation
    (closes: #310689, #278894). This patch is used instead of the old 07_....
    Enabled permanently, disabled the "cheatcode processing" in debian/rules.
    Also eliminates some useability problems that have been pushed to our
    users (closes: #325766, #271114, #312062, #353176).
  * Updated dirsplit to version 0.3.3, zisofs-tools to 1.0.7 (with a custom
    CMakeFile.txt for easier integration and config.h updated manually for
    now)
  * minor cdda2mp3/cdda2ogg scripts fixes suggested by Fabian Pietsch, plus
    fixes for unreliable encoder detection (closes: #283794, #344443) plus
    possible override of preset CDDA_DEVICE variable fixed
  * added additional script manpages from Oleksandr Moskalenko (closes: #295438)
  * changed -speed to speed= in cdrecord.1 for consistency (closes: #344214)
  * Anti-Root-Requirements:
    + 39_nonroot_skips_rezero_unit.dpatch - don't run rezero_unit() as root
    which is a) most likely not needed (even admited in the comment) and b)
    causes the whole scsi transport system to terminate
    + 40_stop_setuid_games.dpatch - another workaround for problems introduced
    in a03 - looks like Linux kernel does reject an application trying to
    change the UID between ioctls
    (closes: #335253, #374685, #330506, #329308, #374345, #377421)
  * Ubuntu's 40_fix_bad_spelling.dpatch integrated (typo in wodim.dfl)
  * increased hash size in mkisofs/hash.c (closes: #327270)
  * more decent info message about locale detection

  [ Joerg Jaspert]:
  * Make build-depends on cmake versioned, to show backporters we need a recent one.
  * Bump build-depends on debhelper.
  * Kill old conflict on xcdroast, that version is no longer in Debian
  * Added a dummy cdrecord package to ease upgrades for our users. Will get removed
    some time after etch released.
  * Cleaned debian/rules a bit.
  * wodim.links: s/cdrecord/wodim/
  * Let cdrkitt-doc conflict/replace old cdrtools-doc
  * Cleaned up postinst for wodim and removed makedev dependency.
  * debhelper level 5, Policy version 3.7.2
  * Moved all buildstamps into the build/ dir
  * Dropped old install-save[d] targets.
  * No more debconf (Closes: #361776, #379992, #381954)

  [ Steve McIntyre]:
  * Minor spelling/English fixes

 -- Joerg Jaspert <joerg@debian.org>  Sun,  3 Sep 2006 22:50:24 +0200

cdrtools (4:2.01+01a03-5) unstable; urgency=low

  * Fixed the buffer size patch to cope with large ia64 page size - will
    now no longer crash at cdrecord startup. Closes: #343666.
  * Applied patch for ultra-high-speed media compatibility.
    Closes: #334677, #339423.

 -- Steve McIntyre <93sam@debian.org>  Sat,  7 Jan 2006 03:21:23 +0000

cdrtools (4:2.01+01a03-4) unstable; urgency=low

  * Updated debconf dependency to allow debconf-2.0 option.
    Closes: #331772
  * Updated Linux RAWIO patch so it doesn't break GNU/kFreeBSD


=== debian/control ===
Source: cdrkit
Priority: optional
Section: otherosfs
Maintainer: Joerg Jaspert <joerg@debian.org>
Uploaders: Eduard Bloch <blade@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>=5.0.37.3), zlib1g-dev, autotools-dev, cmake (>= 2.4.3-1), libcap-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libcam-dev [kfreebsd-i386 kfreebsd-amd64], libmagic-dev
Standards-Version: 3.7.2

Package: wodim
Architecture: any
Depends: ${shlibs:Depends}
Recommends: mkisofs
Replaces: cdrtools-doc (<< 5:1.0~pre1-0), cdrecord (<< 5:1.0~pre1-0)
Suggests: cdrkit-doc
Conflicts: cdrecord (<< 5:1.0~pre1-1)
Description: command line CD writing tool
 wodim allows you to create CDs on a CD recorder.
 It supports writing data, audio, mixed, multi-session, and CD+
 discs, on just about every type of CD recorder out there.
 .
 Please install cdrkit-doc if you want most of the documentation and
 Readme-files.

Package: cdrecord
Architecture: all
Depends: wodim (>= 5:1.0~pre1-1), debconf | debconf-2.0
Description: Dummy package for transition to wodim
 This is a dummy package to ease the transition to wodim, the fork
 of cdrecord. Please use wodim instead of cdrecord.
 It provides a cdrecord symlink to wodim for compatibility purposes.

Package: mkisofs
Architecture: any
Depends: ${shlibs:Depends}
Suggests: wodim, cdrkit-doc
Conflicts: mkhybrid
Description: Creates ISO-9660 CD-ROM filesystem images
 mkisofs is a pre-mastering program for creating ISO-9660 CD-ROM 
 filesystem images, which can then be written to a CD-ROM (or DVD-ROM) using
 the wodim program. mkisofs now includes support for making bootable 
 "El Torito" CD-ROMs, as well as CD-ROMs with support for the
 Macintosh HFS filesystem.
 .
 The package also includes tools needed to create compressed isofs images
 (mkzftree from zisofs_tools source).
 .
 Please install cdrkit-doc if you want most of the documentation and
 Readme-files.

Package: cdda2wav
Architecture: any
Suggests: vorbis-tools, cdrkit-doc
Depends: ${shlibs:Depends}
Section: sound
Description: Creates WAV files from audio CDs
 cdda2wav lets you digitally copy audio tracks from a CD-ROM, avoiding
 the distortion that is introduced when recording via a sound card. Data 
 can be dumped into raw (cdr), wav or sun format sound files. Options control
 the recording format (stereo/mono; 8/16 bits; sampling rate, etc).
 .
 Please install cdrkit-doc if you want most of the documentation and
 Readme-files.

Package: cdrkit-doc
Architecture: all
Section: doc
Replaces: cdrtools-doc
Conflicts: cdrtools-doc
Suggests: wodim, mkisofs, cdda2wav
Description: Documentation for the cdrkit package-suite
 This is the documentation for the cdrkit package-suite, namely
 wodim, mkisofs and cdda2wav.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules file for cdrkit.  GPL2
# Original from Erik Andersen <andersee@debian.org>
#

PACKAGE = cdrkit

CFLAGS = -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CMAKEFLAGS += -O2
endif

i=$(shell pwd)/debian/tmp/usr
b=$(shell pwd)/debian/build
iso=mkisofs
cdd=cdda2wav
cdr=wodim
ziso_VERSION = $(shell cat 3rd-party/zisofs_tools/version)
source_VERSION= $(shell dpkg-parsechangelog | sed -ne '/^Version:/s/^V.*://p')


build: build/build-debstamp
build/build-debstamp:
#	@if test -f ../cdrkit_$(source_VERSION).tar.gz ; then \
#		echo "You should not create native packages! Remove ../cdrkit_$(source_VERSION).tar.gz and copy upstream source to .orig.tar.gz" ; \
#		exit 1 ; \
#	fi
	@echo "--- Compiling"
	dh_testdir
	echo "#define ZISOFS_TOOLS_VERSION \"$(ziso_VERSION)\"" > 3rd-party/zisofs_tools/version.h
	make CFLAGS='$(CFLAGS)'
	cd 3rd-party/zisofs_tools && CFLAGS='$(CFLAGS)' ./configure && $(MAKE)
	touch build/build-debstamp

clean:
	@echo "--- Cleaning"
	dh_testdir
	dh_testroot
	-rm -f 3rd-party/zisofs_tools/config.log 3rd-party/zisofs_tools/config.status
	-./.clean
	rm -f build-debstamp install-debstamp conf/config.sub conf/config.guess
	dh_clean -k
	 # clean up the stuff dh_clean leaves behind
	-rm -rf debian/build debian/files
	-rm -f `find . -type d | grep OBJ`
	-rm -f `find . -type d | grep CVS`
	-rm -f `find . -name "*~"`
	-rm -rf `find . -name "\.deps"`
	-rm -rf `find . -name "\.libs"`
	-rm -rf `find . -name "*\.rej"`
	-rm -rf zisofs_tools
	-rm -f wodim.mmap
	-rm -rf build

install: build build/install-debstamp
build/install-debstamp:
	@echo "--- Installing"
	dh_testdir
	dh_testroot
	dh_clean
	rm -rf $(b)
	make install PREFIX=$(i)

	install -m 755 3rd-party/zisofs_tools/mkzftree $(i)/bin/
	install -m 755 cdda2wav/cdda2ogg $(i)/bin/
	install -m 755 cdda2wav/cdda2mp3 $(i)/bin/
	install -m 755 cdda2wav/readmult $(i)/bin/
	install -m 755 cdda2wav/pitchplay $(i)/bin/
	touch build/install-debstamp

binary-indep: build install cdrkit-doc cdrecord

binary-arch: build install \
	wodim \
	mkisofs \
	cdda2wav

#
# wodim
#

wodim: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	cp -a cdrecord/wodim.dfl $(b)/$@/etc/default/wodim
	cp -a rscsi/rscsi.dfl $(b)/$@/etc/default/rscsi
#	cp debian/reportbug.presubj $(b)/$@/usr/share/bug/wodim/presubj
	dh_link              -p$@ -P$(b)/$@ 
	dh_installdocs       -p$@ -P$(b)/$@
	dh_installchangelogs -p$@ -P$(b)/$@ Changelog
	dh_install			 -p$@ -P$(b)/$@
	dh_strip             -p$@ -P$(b)/$@
	dh_installexamples   -p$@ -P$(b)/$@ rscsi/rscsi.dfl cdrecord/wodim.dfl
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
	dh_shlibdeps         -p$@ -P$(b)/$@
	dh_installdebconf    -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@

#
# cdrecord dummy one
#

cdrecord: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_link              -p$@ -P$(b)/$@ 
	dh_install			 -p$@ -P$(b)/$@
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@

#
# mkisofs
#

mkisofs: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_installdocs       -p$@ -P$(b)/$@
	dh_installchangelogs -p$@ -P$(b)/$@ $(iso)/ChangeLog zisofs_tools/CHANGES
	dh_install           -p$@ -P$(b)/$@
	dh_installman        -p$@ -P$(b)/$@ 3rd-party/zisofs_tools/mkzftree.1
#	cp debian/reportbug.presubj $(b)/$@/usr/share/bug/mkisofs/presubj
#	rm -f $(b)/$@/usr/bin/mkhybrid $(b)/$@/usr/share/man/man8/mkhybrid*
	dh_link              -p$@ -P$(b)/$@
	dh_strip             -p$@ -P$(b)/$@
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
	dh_shlibdeps         -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@


#
# cdda2wav
#

cdda2wav: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_installdocs       -p$@ -P$(b)/$@ 
	dh_installchangelogs -p$@ -P$(b)/$@ 
	dh_install           -p$@ -P$(b)/$@
#	cp debian/reportbug.presubj $(b)/$@/usr/share/bug/cdda2wav/presubj
	dh_strip             -p$@ -P$(b)/$@
	chmod 755 $(b)/$@/usr/bin/cdda2*
	dh_link              -p$@ -P$(b)/$@
	chmod 755 $(b)/$@/usr/bin/readmult
	chmod 755 $(b)/$@/usr/bin/pitchplay
	dh_installman        -p$@ -P$(b)/$@
# cludge, integrate into the official BS later
#	dh_installman        -p$@ -P$(b)/$@ doc/readmult.man doc/pitchplay.man doc/list_audio_tracks.man
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
	dh_shlibdeps         -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@


#
# cdrkit-doc
#

cdrkit-doc: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_installdocs       -p$@ -P$(b)/$@
	dh_installchangelogs -p$@ -P$(b)/$@
	dh_install           -p$@ -P$(b)/$@
	dh_link              -p$@ -P$(b)/$@
	@-find $(b)/$@ | grep '\.svn' | xargs rm -rf
#	dh_strip             -p$@ -P$(b)/$@
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
#	dh_shlibdeps         -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@

binary: binary-indep binary-arch
.PHONY: binary clean binary-indep binary-arch build install install-save install-saved
